Bug 1398448 - Spec file missing slip dependency [NEEDINFO]
Summary: Spec file missing slip dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-24 22:20 UTC by Jonathan Lebon
Modified: 2017-01-12 06:48 UTC (History)
6 users (show)

Fixed In Version: atomic-1.14.1-1.fc25 atomic-1.14.1-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 05:22:52 UTC
Type: Bug
dwalsh: needinfo? (lsm5)


Attachments (Terms of Use)

Description Jonathan Lebon 2016-11-24 22:20:27 UTC
We can't use the D-Bus interface because python3-slip-dbus is not installed:

-bash-4.3# /usr/share/atomic/atomic_dbus.py
Traceback (most recent call last):
  File "/usr/share/atomic/atomic_dbus.py", line 10, in <module>
    import slip.dbus.service
ImportError: No module named 'slip'

Seems like we need a Requires on %{pypkg}-slip-dbus.

Comment 1 Daniel Walsh 2016-11-26 11:40:49 UTC
Lokesh can you add this dependency?

Comment 2 Fedora Update System 2016-11-29 11:39:03 UTC
atomic-1.13.8-1.git8046db2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a96813c06

Comment 3 Fedora Update System 2016-11-29 11:39:37 UTC
atomic-1.13.8-1.git8046db2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d276af783c

Comment 4 Fedora Update System 2016-12-02 06:27:50 UTC
atomic-1.13.8-1.git8046db2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d276af783c

Comment 5 Fedora Update System 2016-12-02 18:55:51 UTC
atomic-1.13.8-1.git8046db2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a96813c06

Comment 6 Fedora Update System 2016-12-27 20:58:47 UTC
atomic-1.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5281546d4a

Comment 7 Fedora Update System 2016-12-27 21:11:46 UTC
atomic-1.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0388478a34

Comment 8 Fedora Update System 2016-12-28 22:49:45 UTC
atomic-1.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5281546d4a

Comment 9 Fedora Update System 2016-12-29 00:49:48 UTC
atomic-1.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0388478a34

Comment 10 Fedora Update System 2017-01-12 05:22:52 UTC
atomic-1.14.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-12 06:48:49 UTC
atomic-1.14.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.